﻿// ------------------------------------------------------------------------------
//  <auto-generated>
//      This code was generated by SpecFlow (http://www.specflow.org/).
//      SpecFlow Version:1.9.0.77
//      SpecFlow Generator Version:1.9.0.0
//      Runtime Version:4.0.30319.18444
// 
//      Changes to this file may cause incorrect behavior and will be lost if
//      the code is regenerated.
//  </auto-generated>
// ------------------------------------------------------------------------------
#region Designer generated code
#pragma warning disable
namespace WSS.AAT.Scenarios.StockAdmin
{
    using TechTalk.SpecFlow;
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("TechTalk.SpecFlow", "1.9.0.77")]
    [System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    [NUnit.Framework.TestFixtureAttribute()]
    [NUnit.Framework.DescriptionAttribute("GapWalkReport")]
    [NUnit.Framework.CategoryAttribute("GapWalkReport")]
    public partial class GapWalkReportFeature
    {
        
        private static TechTalk.SpecFlow.ITestRunner testRunner;
        
#line 1 "GapWalkReport.feature"
#line hidden
        
        [NUnit.Framework.TestFixtureSetUpAttribute()]
        public virtual void FeatureSetup()
        {
            testRunner = TechTalk.SpecFlow.TestRunnerManager.GetTestRunner();
            TechTalk.SpecFlow.FeatureInfo featureInfo = new TechTalk.SpecFlow.FeatureInfo(new System.Globalization.CultureInfo("en-US"), "GapWalkReport", "  In order to check GapWalkReport content\r\n  As a developer\r\n  I write scenarios " +
                    "for different preset data in tables STKMAS, DLLINE and GapWalk", ProgrammingLanguage.CSharp, new string[] {
                        "GapWalkReport"});
            testRunner.OnFeatureStart(featureInfo);
        }
        
        [NUnit.Framework.TestFixtureTearDownAttribute()]
        public virtual void FeatureTearDown()
        {
            testRunner.OnFeatureEnd();
            testRunner = null;
        }
        
        [NUnit.Framework.SetUpAttribute()]
        public virtual void TestInitialize()
        {
        }
        
        [NUnit.Framework.TearDownAttribute()]
        public virtual void ScenarioTearDown()
        {
            testRunner.OnScenarioEnd();
        }
        
        public virtual void ScenarioSetup(TechTalk.SpecFlow.ScenarioInfo scenarioInfo)
        {
            testRunner.OnScenarioStart(scenarioInfo);
        }
        
        public virtual void ScenarioCleanup()
        {
            testRunner.CollectScenarioErrors();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("DLLINE date has more priority than STKMAS date")]
        public virtual void DLLINEDateHasMorePriorityThanSTKMASDate()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("DLLINE date has more priority than STKMAS date", ((string[])(null)));
#line 7
this.ScenarioSetup(scenarioInfo);
#line 8
    testRunner.Given("There is row for Date = \'11-11-2011\' and SKU = \'500300\' in GapWalk table", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 9
    testRunner.And("There is row for Date = \'02-02-2016\' and TillId = \'01\' and TranId = \'01\' and SKU " +
                    "= \'500300\' and Quantity = \'2\' in DLLINE", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 10
    testRunner.And("DateLastSold field in STKMAS for SKU = \'500300\' is equal \'01-01-2016\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 11
    testRunner.When("Gap walk report was requested for Date = \'11-11-2011\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 12
    testRunner.Then("Last sold date in report for SKU = \'500300\' is equal = \'02-02-2016\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("All nessesary information about sku could be found in DLLINE table")]
        public virtual void AllNessesaryInformationAboutSkuCouldBeFoundInDLLINETable()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("All nessesary information about sku could be found in DLLINE table", ((string[])(null)));
#line 14
this.ScenarioSetup(scenarioInfo);
#line 15
    testRunner.Given("There is row for Date = \'11-11-2011\' and SKU = \'500300\' in GapWalk table", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 16
    testRunner.And("There is row for Date = \'01-01-2016\' and TillId = \'01\' and TranId = \'01\' and SKU " +
                    "= \'500300\' and Quantity = \'2\' in DLLINE", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 17
    testRunner.And("DateLastSold field in STKMAS for SKU = \'500300\' is not set", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 18
    testRunner.When("Gap walk report was requested for Date = \'11-11-2011\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 19
    testRunner.Then("Last sold date in report for SKU = \'500300\' is equal = \'01-01-2016\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("There is information about last sold date in STKMAS table, and there are no lines" +
            " for that sku in DLLINE table")]
        public virtual void ThereIsInformationAboutLastSoldDateInSTKMASTableAndThereAreNoLinesForThatSkuInDLLINETable()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("There is information about last sold date in STKMAS table, and there are no lines" +
                    " for that sku in DLLINE table", ((string[])(null)));
#line 21
this.ScenarioSetup(scenarioInfo);
#line 22
    testRunner.Given("There is row for Date = \'11-11-2011\' and SKU = \'500300\' in GapWalk table", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 23
    testRunner.And("There are no lines in DLLINE for SKU = \'500300\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 24
    testRunner.And("DateLastSold field in STKMAS for SKU = \'500300\' is equal \'02-02-2012\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 25
    testRunner.When("Gap walk report was requested for Date = \'11-11-2011\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 26
    testRunner.Then("Last sold date in report for SKU = \'500300\' is equal = \'02-02-2012\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("There is Refund line for sku in DLLINE table")]
        public virtual void ThereIsRefundLineForSkuInDLLINETable()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("There is Refund line for sku in DLLINE table", ((string[])(null)));
#line 28
this.ScenarioSetup(scenarioInfo);
#line 29
    testRunner.Given("There is row for Date = \'11-11-2011\' and SKU = \'500300\' in GapWalk table", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 30
    testRunner.And("There is row for Date = \'01-01-2016\' and TillId = \'01\' and TranId = \'01\' and SKU " +
                    "= \'500300\' and Quantity = \'-5\' in DLLINE", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 31
    testRunner.And("DateLastSold field in STKMAS for SKU = \'500300\' is not set", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 32
    testRunner.When("Gap walk report was requested for Date = \'11-11-2011\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 33
    testRunner.Then("Last sold date in report for SKU = \'500300\' is empty", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("There is Reverted line for sku in DLLINE table")]
        public virtual void ThereIsRevertedLineForSkuInDLLINETable()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("There is Reverted line for sku in DLLINE table", ((string[])(null)));
#line 35
this.ScenarioSetup(scenarioInfo);
#line 36
    testRunner.Given("There is row for Date = \'11-11-2011\' and SKU = \'500300\' in GapWalk table", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 37
    testRunner.And("There is reverted row for Date = \'01-01-2016\' and TillId = \'01\' and TranId = \'01\'" +
                    " and SKU = \'500300\' and Quantity = \'2\' in DLLINE", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 38
    testRunner.And("DateLastSold field in STKMAS for SKU = \'500300\' is not set", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 39
    testRunner.When("Gap walk report was requested for Date = \'11-11-2011\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 40
    testRunner.Then("Last sold date in report for SKU = \'500300\' is empty", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("There is no information about last date sku was sold both in STKMAS table and DLL" +
            "INE table")]
        public virtual void ThereIsNoInformationAboutLastDateSkuWasSoldBothInSTKMASTableAndDLLINETable()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("There is no information about last date sku was sold both in STKMAS table and DLL" +
                    "INE table", ((string[])(null)));
#line 42
this.ScenarioSetup(scenarioInfo);
#line 43
    testRunner.Given("There is row for Date = \'11-11-2011\' and SKU = \'500300\' in GapWalk table", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 44
    testRunner.And("There are no lines in DLLINE for SKU = \'500300\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 45
    testRunner.And("DateLastSold field in STKMAS for SKU = \'500300\' is not set", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 46
    testRunner.When("Gap walk report was requested for Date = \'11-11-2011\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 47
    testRunner.Then("Last sold date in report for SKU = \'500300\' is empty", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
    }
}
#pragma warning restore
#endregion
